### Method

# FwupdPlugin MeiDevice get_fw_status

since: 1.8.7

#### Declaration [src]

    gchar*
    fu_mei_device_get_fw_status (
      FuMeiDevice* self,
      guint idx,
      GError** error
    )

#### Description [src]

Gets the firmware status for a specific index.

Available since: 1.8.7

#### Parameters

`idx`

  Type: `guint`

  Line index.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

String value.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.